dns_txt(3)

NAME
dns_txt - look up TXT records

SYNTAX
#include <libowfat/dns.h>

int dns_txt(stralloc* out,stralloc* fqdn);

DESCRIPTION
dns_txt looks up TXT records for the fully-qualified domain name in fqdn. It puts the concatenation of the TXT records into out and returns 0. If the domain does not exist in DNS, or has no TXT records, out will be empty.

If dns_txt has trouble with the DNS lookup or runs out of memory, it returns -1, setting errno appropriately. It may or may not change out.

SEE ALSO
dns_txt_packet(3)